traitement des champs TIMECODE et TIME dans les paquets HK
Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Expliquer comment sont gérer les champs suivants dans les paquets HK:

SOURCE_DATA/PARAMETERS/ERRORS_COUNTERS/TIMECODE
HK_LFR_TIMECODE_ERRONEOUS --> 0
HK_LFR_TIMECODE_MISSING --> 0
HK_LFR_TIMECODE_INVALID --> 0

SOURCE_DATA/PARAMETERS/ERRORS_COUNTERS/TIME
HK_LFR_TIME_TIMECODE_IT --> 0
HK_LFR_TIME_TIMECODE_NOT_SYNCHRO --> 0

History

#1 - 22/01/2016 04:59 PM - paul leroy
- File TIMECODE and TIME errors handling v1.0 added
- File RPW-SYS-MEB-###-FMC-000207-LES_Issue3 _Rev1_FDIR_Analysis.pdf added

J'ai travaillé sur la gestion des champs suivants:
hk_Ifr_timecode_erroneous
hk_Ifr_timecode_missing
hk_Ifr_timecode_invalid
hk_Ifr_time_timecode_it
hk_Ifr_time_not_synchro
hk_Ifr_time_timecode_ctr

lls sont normalement gérés comme expliqué dans le document joint, lui méme largement copié d'un document de Philippe que je joins également,
dans lequel on trouve notamment la sévérité des erreurs.

Les compteurs d'erreurs selon leur sévérité sont construit a chaque génération de paquet HK comme ceci (rev3.0.0.13 de fsw):
/lupdate the low severity error counter

hk_Ifr_le_cnt =
housekeeping_packet.hk_lIfr_dpu_spw_parity

+ housekeeping_packet.hk_Ifr_dpu_spw_disconnect
+ housekeeping_packet.hk_Ifr_dpu_spw_escape

+ housekeeping_packet.hk_Ifr_dpu_spw_credit

+ housekeeping_packet.hk_Ifr_dpu_spw_write_sync
+ housekeeping_packet.hk_Ifr_dpu_spw_rx_ahb

+ housekeeping_packet.hk_Ifr_dpu_spw_tx_ahb

+ housekeeping_packet.hk_Ifr_timecode_erroneous
+ housekeeping_packet.hk_Ifr_timecode_missing

+ housekeeping_packet.hk_Ifr_timecode_invalid

+ housekeeping_packet.hk_Ifr_time_timecode_it

+ housekeeping_packet.hk_Ifr_time_not_synchro

+ housekeeping_packet.hk_Ifr_time_timecode_ctr;

//update the medium severity error counter
hk_1fr _me_cnt =
housekeeping_packet.hk_1fr_dpu_spw_early_eop
+ housekeeping_packet.hk_1fr_ dpu_spw_invalid_addr
+ housekeeping_packet.hk_1lfr_dpu_spw_eep
+ housekeeping_packet.hk_1fr_ dpu_spw_rx_too_big;

//update the high severity error counter
hk_1fr_he_cnt = 0;
#2 - 22/01/2016 04:59 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#3 - 27/01/2016 04:04 PM - bruno katra
- File HK_ERROR_CRITICITY.ods added
- File HK_ERROR_CRITICITY xIsx added

- Status changed from New to In Progress

#4 - 22/02/2016 03:09 PM - Veronique bouzid

J'ai essayé de résumer ma compréhension de la gestion des time-codes

1- apres la sequence de boot, la tache de supervision des time-codes ( timecode_timer_routine) est lancée. Au bout de 1.2s, la tache va s'executer
et traiter I'absence de réception d" un time-code valide recu.

--> donc une fois les 1.2s ecoulée on execute timecode_timer_routine

--> qui va detecter time-code MISSING et donc incrementer le compteur

ensuite sortie de la tache et celle-ci n'est pas rearmée

et donc sans arrivée de timecode ni TC_LFR_UPDATE_TIME + time code, on conserve cet etat

Seule l'arrivée d'un time-code permet de réarmer la tache ( timecode_timer_routine)
Est ce correct?

La réponse de Paul:
Oui c'est correct

2- Je n 'ai pas réussi a tester les 2 champs suivants en me basant sur les explications de Paul (#588)
HK_LFR_TIMECODE_ERRONEOUS

HK_LFR_TIMECODE_INVALID

lIs restent donc toujours a 0.

*La réponse de Paul:

Pour tester HK_LFR_TIMECODE_ERRONEOUS

Je n'ai pas réussi a forcer I'exécution du timecode_irq_handler parce que si on force I''lRQ du SpaceWire, ¢a ne déclenche pas le
timecode_irq_handler qui est appelé par le driver SpaceWire a la réception d'un timecode valide. Donc je ne vois pas comment vérifier ca (je pensais
qu'on pouvait déclencher artificiellement I'appel a timecode_irg_handler en passant par le contréleur d'interruption mais I''RQ SpaceWire est une IRQ
générale et c'est le driver qui s'occupe de la traiter).

Pas pu testé HK_LFR_TIMECODE_INVALID*

#5 - 21/06/2018 01:36 PM - Veronique bouzid

- Status changed from In Progress to Closed

Files

TIMECODE and TIME errors handling v1.0 3.12KB 22/01/2016 paul leroy
RPW-SYS-MEB-###-FMC-000207-LES_Issue3_Rev1_FDIR_Analysisip@b KB 22/01/2016 paul leroy
HK_ERROR_CRITICITY.ods 13.9 KB 27/01/2016 bruno katra
HK_ERROR_CRITICITY .xlIsx 12.8 KB 27/01/2016 bruno katra
